Subject: Re: [PATCH] dt-bindings: net: orion-mdio: Convert to JSON schema

From: Marek Behún <[email-masked]>
Date: Sat, 7 May 2022 12:29:49 +0200

On Wed, 4 May 2022 23:35:59 +0200
Andrew Lunn <[email-masked]> wrote:

> On Wed, May 04, 2022 at 04:36:02PM +1200, Chris Packham wrote:
> > Convert the marvell,orion-mdio binding to JSON schema.
> > 
> > Signed-off-by: Chris Packham <[email-masked]>
> > ---
> > 
> > Notes:
> >     Thomas, Antione & Florian I hope you don't mind me putting you as
> >     maintainers of the binding. Between you you've written the majority of
> >     the mvmdio.c driver.  
> 
> I actually think it will be me doing any maintenance work on that
> driver.
> 
> >     This does throw up the following dtbs_check warnings for turris-mox:
> >     
> >     arch/arm64/boot/dts/marvell/armada-3720-turris-mox.dtb: mdio@32004: switch0@10:reg: [[16], [0]] is too long
> >             From schema: Documentation/devicetree/bindings/net/marvell,orion-mdio.yaml  
> 
> I assume this is coming from
> 
> 		reg = <0x10 0>;
> 
> This is odd. Lets see what Marek Behún has to say.

Looks like a mistake on my part.

Marek